## ide-doap-person ide-doap-person |

## Functions

#define | IDE_TYPE_DOAP_PERSON
IdeDoapPerson * | ide_doap_person_new ()
const gchar * | ide_doap_person_get_name ()
void | ide_doap_person_set_name ()
const gchar * | ide_doap_person_get_email ()
void | ide_doap_person_set_email ()

## Properties

gchar * | email | Read / Write
gchar * | name | Read / Write

## Types and Values

| IdeDoapPerson

## Object Hierarchy

        GObject
        ╰── IdeDoapPerson

## Description

## Functions

### IDE_TYPE_DOAP_PERSON

    #define IDE_TYPE_DOAP_PERSON (ide_doap_person_get_type())

### ide_doap_person_new ()

    IdeDoapPerson *
    ide_doap_person_new (void);

### ide_doap_person_get_name ()

    const gchar *
    ide_doap_person_get_name (IdeDoapPerson *self);

### ide_doap_person_set_name ()

    void
    ide_doap_person_set_name (IdeDoapPerson *self,
                              const gchar *name);

### ide_doap_person_get_email ()

    const gchar *
    ide_doap_person_get_email (IdeDoapPerson *self);

### ide_doap_person_set_email ()

    void
    ide_doap_person_set_email (IdeDoapPerson *self,
                               const gchar *email);

## Types and Values

### IdeDoapPerson

    typedef struct _IdeDoapPerson IdeDoapPerson;

## Property Details

### The `“email”` property

      “email”                    gchar *

The email of the person.

Flags: Read / Write

Default value: NULL

### The `“name”` property

      “name”                     gchar *

The name of the person.

Flags: Read / Write

Default value: NULL